#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  dolphin-24.12.2

- Next

  kdenlive-24.12.2

- Up
- Home

# dolphin-plugins-24.12.2

## Introduction to dolphin-plugins

The dolphin-plugins package provides extra plugins for the dolphin file manager.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/24.12.2/src/dolphin-plugins-24.12.2.tar.xz

- Download MD5 sum: 56d47aa44323b9631d1260bba11f5b42

- Download size: 312 KB

- Estimated disk space required: 26 MB

- Estimated build time: 0.2 SBU (using parallelism=4)

### dolphin-plugins Dependencies

#### Required

dolphin-24.12.2

## Installation of dolphin-plugins

Install dolphin-plugins by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: In $KF6_PREFIX/lib/plugins/dolphin/vcs/: fileviewsvnplugin.so, fileviewgitplugin.so, fileviewbazaarplugin.so, fileviewdropboxplugin.so, fileviewhgplugin.so, makefileactions.so, and mountisoaction.so
Installed Directories: None

- Prev

  dolphin-24.12.2

- Next

  kdenlive-24.12.2

- Up
- Home